# Class EventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for an event.

    public abstract class EventData

Inheritance
  object
  EventData

Derived
  ContentDeltaEventData
  ContentStartEventData
  ContentStopEventData
  ErrorEventData
  MessageCompleteEventData
  MessageDeltaEventData
  MessageStartEventData
  MessageStopEventData
  PingEventData

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### EventData(string)

Initializes a new instance of the EventData class.

    protected EventData(string type)

#### Parameters

`type` string

  The type of the event.

## Properties

### Type

Gets the type of the event.

    public string Type { get; init; }

#### Property Value

string